sc::GenPetite4(3)

NAME
sc::GenPetite4 -

This class is an abstract base to a generalized four index petite list.

SYNOPSIS

#include <gpetite.h>

Inherits sc::RefCount.

Inherited by sc::GPetite4< C4 >.

  Public Member Functions
GenPetite4 (const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4)
virtual int in_p4 (int i, int j, int k, int l)=0

  Protected Attributes
bool c1_
int ng_
int ** shell_map_i_
int ** shell_map_j_
int ** shell_map_k_
int ** shell_map_l_
Ref< GaussianBasisSet > b1_
Ref< GaussianBasisSet > b2_
Ref< GaussianBasisSet > b3_
Ref< GaussianBasisSet > b4_

  Additional Inherited Members

Detailed Description

This class is an abstract base to a generalized four index petite list.

Author

Generated automatically by Doxygen for MPQC from the source code.